#include <string>
#include <admin>
#include <adminlib>

new STRING_VERSION[MAX_DATA_LENGTH] = "2.50.60_v.0.8";

public plugin_init() {
	plugin_registerinfo("Google Suche","Zeigt Deine Google Suche im MotD Fenster mit der Chateingabe /google",STRING_VERSION);
	plugin_registercmd("say","HandleSay",ACCESS_ALL,"say /google [search]: Sucht Deine Ergebnisse in Deutsch bei Google");
	return PLUGIN_CONTINUE;
}

public HandleSay(HLCommand,HLData,HLUserName,UserIndex) {
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	new Search[MAX_TEXT_LENGTH];
	new SearchURL[MAX_TEXT_LENGTH];
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	strstripquotes(Data);
	if(strncmp(Data,"/google",7)==0){
		strsep(Data," ",Data,MAX_DATA_LENGTH,Search,MAX_TEXT_LENGTH);
		snprintf(SearchURL,MAX_TEXT_LENGTH,"http://www.google.de/search?hl=de&q=%s",Search);
		display_motd(User,SearchURL);
	}
	return PLUGIN_CONTINUE;
}

display_motd(User[], URL[]){
	new Text[2048];
	snprintf(Text,2048,"<html><head><meta http-equiv=^"REFRESH^" content=^"0;url=%s^"></head><body><div>Die Anzeige wird aufgebaut!</div></body></html>",URL);
	motd(User,Text);
}
